Skip to main content
PATCH
/
management
/
clients
/
{id}
/
enable-otp
curl -X PATCH "https://api.cryptomate.me/management/clients/client_a1b2c3d4-e5f6-4a7b-8c9d-0e1f2a3b4c5d/enable-otp" \
  -H "X-API-KEY: $CRYPTOMATE_API_KEY"
{
  "id": "client_a1b2c3d4-e5f6-4a7b-8c9d-0e1f2a3b4c5d",
  "otp": true
}
Enables one-time password authentication for the specified client. Requires an API key with access level 3 or higher.

Path parameters

id
string
required
Unique identifier of the client.

Response

Returns the updated client. See Get client by ID for the full field list.
curl -X PATCH "https://api.cryptomate.me/management/clients/client_a1b2c3d4-e5f6-4a7b-8c9d-0e1f2a3b4c5d/enable-otp" \
  -H "X-API-KEY: $CRYPTOMATE_API_KEY"
{
  "id": "client_a1b2c3d4-e5f6-4a7b-8c9d-0e1f2a3b4c5d",
  "otp": true
}